> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.simplificagestao.com.br/llms.txt.
> For full documentation content, see https://docs.simplificagestao.com.br/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.simplificagestao.com.br/_mcp/server.

# Finalizar venda

POST https://gestao.simplificagestao.com.br/ords/gestao/simplificav2/venda/{id}/finalizar
Content-Type: application/json

Finaliza uma venda ativa e em aberto.

Regras:
- esta rota aceita `{}` ou corpo vazio;
- a venda precisa estar aprovada para finalização;
- o total dos pagamentos precisa ser igual ao total da venda;
- quando a empresa exigir cadastro completo para venda, o cliente precisa estar com os dados mínimos preenchidos;
- quando a empresa não permitir vender sem estoque, a finalização valida os itens com controle de estoque.


Reference: https://docs.simplificagestao.com.br/api-reference/comercial/vendas/finalize-venda

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: openapi-simplifica
  version: 1.0.0
paths:
  /simplificav2/venda/{id}/finalizar:
    post:
      operationId: finalize-venda
      summary: Finalizar venda
      description: >
        Finaliza uma venda ativa e em aberto.


        Regras:

        - esta rota aceita `{}` ou corpo vazio;

        - a venda precisa estar aprovada para finalização;

        - o total dos pagamentos precisa ser igual ao total da venda;

        - quando a empresa exigir cadastro completo para venda, o cliente
        precisa estar com os dados mínimos preenchidos;

        - quando a empresa não permitir vender sem estoque, a finalização valida
        os itens com controle de estoque.
      tags:
        - subpackage_comercial
      parameters:
        - name: id
          in: path
          description: Identificador da venda.
          required: true
          schema:
            type: integer
        - name: Authorization
          in: header
          description: |
            Token privado usado para consultar dados da plataforma.

            Como usar:
            - obtenha o token privado da sua empresa;
            - envie `Authorization: Bearer SEU_TOKEN_PRIVADO`;
            - não use `x-api-key` neste módulo.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Venda finalizada com sucesso.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WriteIdSuccessResponse'
        '400':
          description: Corpo JSON inválido.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FollowUpWriteErrorResponse'
        '401':
          description: Token ausente, inválido ou sem empresa associada.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FollowUpWriteErrorResponse'
        '404':
          description: Recurso não encontrado no escopo da empresa autenticada.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FollowUpWriteErrorResponse'
        '409':
          description: >-
            O estado atual do recurso ou o valor informado não permitem a
            operação solicitada.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FollowUpWriteErrorResponse'
        '422':
          description: Requisição válida em JSON, mas com regra funcional inválida.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FollowUpWriteErrorResponse'
        '500':
          description: Erro interno inesperado ao executar a operação.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FollowUpWriteErrorResponse'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VendaFinalizarRequest'
servers:
  - url: https://gestao.simplificagestao.com.br/ords/gestao
  - url: >-
      https://gd341ff411ca4b6-dbdevsimplificav2.adb.sa-saopaulo-1.oraclecloudapps.com/ords/gestao
components:
  schemas:
    VendaFinalizarRequest:
      type: object
      properties: {}
      title: VendaFinalizarRequest
    WriteIdData:
      type: object
      properties:
        id:
          type: integer
      required:
        - id
      title: WriteIdData
    WriteIdSuccessResponse:
      type: object
      properties:
        status:
          type: string
        mensagem:
          type: string
        data:
          $ref: '#/components/schemas/WriteIdData'
      required:
        - status
        - mensagem
        - data
      title: WriteIdSuccessResponse
    FollowUpWriteErrorResponse:
      type: object
      properties:
        status:
          type: string
        codigo:
          type: string
        mensagem:
          type: string
      required:
        - status
        - codigo
        - mensagem
      title: FollowUpWriteErrorResponse
  securitySchemes:
    SimplificaPrivateBearer:
      type: http
      scheme: bearer
      description: |
        Token privado usado para consultar dados da plataforma.

        Como usar:
        - obtenha o token privado da sua empresa;
        - envie `Authorization: Bearer SEU_TOKEN_PRIVADO`;
        - não use `x-api-key` neste módulo.

```

## SDK Code Examples

```python Comercial_finalizeVenda_example
import requests

url = "https://gestao.simplificagestao.com.br/ords/gestao/simplificav2/venda/1/finalizar"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Comercial_finalizeVenda_example
const url = 'https://gestao.simplificagestao.com.br/ords/gestao/simplificav2/venda/1/finalizar';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Comercial_finalizeVenda_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://gestao.simplificagestao.com.br/ords/gestao/simplificav2/venda/1/finalizar"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Comercial_finalizeVenda_example
require 'uri'
require 'net/http'

url = URI("https://gestao.simplificagestao.com.br/ords/gestao/simplificav2/venda/1/finalizar")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Comercial_finalizeVenda_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://gestao.simplificagestao.com.br/ords/gestao/simplificav2/venda/1/finalizar")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Comercial_finalizeVenda_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://gestao.simplificagestao.com.br/ords/gestao/simplificav2/venda/1/finalizar', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Comercial_finalizeVenda_example
using RestSharp;

var client = new RestClient("https://gestao.simplificagestao.com.br/ords/gestao/simplificav2/venda/1/finalizar");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Comercial_finalizeVenda_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://gestao.simplificagestao.com.br/ords/gestao/simplificav2/venda/1/finalizar")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```